Changeset 1068


Ignore:
Timestamp:
Sep 16, 2008 6:57:51 PM (11 years ago)
Author:
ladanyi
Message:

result of run_autotools

Location:
stable/2.2
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • stable/2.2/Cbc/configure

    r1051 r1068  
    2237122371if test $ac_cv_lib_rt_clock_gettime = yes; then
    2237222372  ADDLIBS="-lrt $ADDLIBS"
    22373 else
    22374   { { echo "$as_me:$LINENO: error: --enable-cbc-parallel selected, but -lrt unavailable" >&5
    22375 echo "$as_me: error: --enable-cbc-parallel selected, but -lrt unavailable" >&2;}
    22376    { (exit 1); exit 1; }; }
     22373
     22374cat >>confdefs.h <<\_ACEOF
     22375#define HAVE_CLOCK_GETTIME 1
     22376_ACEOF
     22377
     22378else
     22379  { echo "$as_me:$LINENO: WARNING: --enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime" >&5
     22380echo "$as_me: WARNING: --enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime" >&2;}
    2237722381fi
    2237822382
  • stable/2.2/Cbc/configure.ac

    r1025 r1068  
    148148  AC_DEFINE([CBC_THREAD],[1],[Define to 1 if the SMP version of Cbc should be compiled])
    149149  AC_CHECK_LIB([rt],[clock_gettime],
    150                [ADDLIBS="-lrt $ADDLIBS"],
    151                [AC_MSG_ERROR([--enable-cbc-parallel selected, but -lrt unavailable])])
     150               [ADDLIBS="-lrt $ADDLIBS"
     151                AC_DEFINE([HAVE_CLOCK_GETTIME],[1],[Define if clock_gettime and rt library is available])],
     152               [AC_MSG_WARN([--enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime])])
    152153  AC_CHECK_LIB([pthread],[pthread_create],
    153154               [ADDLIBS="-lpthread $ADDLIBS"],
  • stable/2.2/Cbc/inc/config_cbc.h.in

    r710 r1068  
    6262#undef COIN_HAS_XPR
    6363
     64/* Define if clock_gettime and rt library is available */
     65#undef HAVE_CLOCK_GETTIME
     66
    6467/* Define to 1 if you have the <dlfcn.h> header file. */
    6568#undef HAVE_DLFCN_H
  • stable/2.2/Cbc/src/CbcModel.cpp

    r1033 r1068  
    9191#endif
    9292#include <pthread.h>
     93#ifdef HAVE_CLOCK_GETTIME
     94inline int my_gettime(struct timespec* tp) {
     95        return clock_gettime(CLOCK_REALTIME, tp);
     96}
     97#else
     98//struct timespec {
     99//      time_t tv_sec;
     100//      long tv_nsec;
     101//};
     102inline int my_gettime(struct timespec* tp) {
     103        struct timeval tv;
     104        int ret = gettimeofday(&tv, NULL);
     105        tp->tv_sec = tv.tv_sec;
     106        tp->tv_nsec = tv.tv_usec*1000;
     107        return ret;
     108}
     109#endif
    93110//#include "clocktime.hpp"
    94111//#undef small
     
    24192436            pthread_mutex_lock(&condition_mutex);
    24202437            struct timespec absTime;
    2421             clock_gettime(CLOCK_REALTIME,&absTime);
     2438            my_gettime(&absTime);
    24222439            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    24232440            absTime.tv_nsec += 1000000; // millisecond
     
    24272444            }
    24282445            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    2429             clock_gettime(CLOCK_REALTIME,&absTime);
     2446            my_gettime(&absTime);
    24302447            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    24312448            timeWaiting += time2-time;
     
    34103427            pthread_mutex_lock(&condition_mutex);
    34113428            struct timespec absTime;
    3412             clock_gettime(CLOCK_REALTIME,&absTime);
     3429            my_gettime(&absTime);
    34133430            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34143431            absTime.tv_nsec += 1000000; // millisecond
     
    34183435            }
    34193436            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3420             clock_gettime(CLOCK_REALTIME,&absTime);
     3437            my_gettime(&absTime);
    34213438            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34223439            timeWaiting += time2-time;
     
    34723489            pthread_mutex_lock(&condition_mutex);
    34733490            struct timespec absTime;
    3474             clock_gettime(CLOCK_REALTIME,&absTime);
     3491            my_gettime(&absTime);
    34753492            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34763493            absTime.tv_nsec += 1000000; // millisecond
     
    34803497            }
    34813498            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3482             clock_gettime(CLOCK_REALTIME,&absTime);
     3499            my_gettime(&absTime);
    34833500            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34843501            timeWaiting += time2-time;
     
    34963513          pthread_mutex_lock(&condition_mutex);
    34973514          struct timespec absTime;
    3498           clock_gettime(CLOCK_REALTIME,&absTime);
     3515          my_gettime(&absTime);
    34993516          double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    35003517          absTime.tv_nsec += 1000000; // millisecond
     
    35043521          }
    35053522          pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3506           clock_gettime(CLOCK_REALTIME,&absTime);
     3523          my_gettime(&absTime);
    35073524          double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    35083525          timeWaiting += time2-time;
     
    35973614        pthread_mutex_lock(&condition_mutex);
    35983615        struct timespec absTime;
    3599         clock_gettime(CLOCK_REALTIME,&absTime);
     3616        my_gettime(&absTime);
    36003617        absTime.tv_nsec += 1000000; // millisecond
    36013618        if (absTime.tv_nsec>=1000000000) {
     
    36043621        }
    36053622        pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3606         clock_gettime(CLOCK_REALTIME,&absTime);
     3623        my_gettime(&absTime);
    36073624        pthread_mutex_unlock(&condition_mutex);
    36083625      }
     
    71087125              pthread_mutex_lock(&condition_mutex);
    71097126              struct timespec absTime;
    7110               clock_gettime(CLOCK_REALTIME,&absTime);
     7127              my_gettime(&absTime);
    71117128              absTime.tv_nsec += 1000000; // millisecond
    71127129              if (absTime.tv_nsec>=1000000000) {
     
    71427159              pthread_mutex_lock(&condition_mutex);
    71437160              struct timespec absTime;
    7144               clock_gettime(CLOCK_REALTIME,&absTime);
     7161              my_gettime(&absTime);
    71457162              absTime.tv_nsec += 1000000; // millisecond
    71467163              if (absTime.tv_nsec>=1000000000) {
     
    82128229        pthread_mutex_lock(&condition_mutex);
    82138230        struct timespec absTime;
    8214         clock_gettime(CLOCK_REALTIME,&absTime);
     8231        my_gettime(&absTime);
    82158232        absTime.tv_nsec += 1000000; // millisecond
    82168233        if (absTime.tv_nsec>=1000000000) {
     
    82198236        }
    82208237        pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    8221         clock_gettime(CLOCK_REALTIME,&absTime);
     8238        my_gettime(&absTime);
    82228239        pthread_mutex_unlock(&condition_mutex);
    82238240      }
     
    1451414531    while (stuff->returnCode) {
    1451514532      struct timespec absTime2;
    14516       clock_gettime(CLOCK_REALTIME,&absTime2);
     14533      my_gettime(&absTime2);
    1451714534      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1451814535      // timed wait as seems to hang on max nodes at times
    1451914536      absTime2.tv_sec += 10;
    1452014537      pthread_cond_timedwait(condition,mutex,&absTime2);
    14521       clock_gettime(CLOCK_REALTIME,&stuff->absTime);
     14538      my_gettime(&stuff->absTime);
    1452214539      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
    1452314540      stuff->timeWaitingToStart+=time-time2;;
     
    1471214729    if(!stuff->locked) {
    1471314730      struct timespec absTime2;
    14714       clock_gettime(CLOCK_REALTIME,&absTime2);
     14731      my_gettime(&absTime2);
    1471514732      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1471614733      pthread_mutex_lock (stuff->mutex);
    1471714734      stuff->locked=true;
    14718       clock_gettime(CLOCK_REALTIME,&stuff->absTime);
     14735      my_gettime(&stuff->absTime);
    1471914736      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
    1472014737      stuff->timeWaitingToLock+=time-time2;;
     
    1478814805      pthread_mutex_unlock (stuff->mutex);
    1478914806      struct timespec absTime2;
    14790       clock_gettime(CLOCK_REALTIME,&absTime2);
     14807      my_gettime(&absTime2);
    1479114808      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1479214809      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
  • stable/2.2/configure

    r1026 r1068  
    26582658        coin_add_cflags="-pipe"
    26592659        coin_dbg_cflags="-g"
    2660         coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
     2660        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2661        case $build in
     2662          *-darwin*)
     2663            ;;
     2664          *)
     2665            coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
     2666            ;;
     2667        esac
    26612668        case $enable_doscompile in
    26622669          mingw)
     
    27312738        case "$CC" in
    27322739          icc* | */icc*)
    2733             coin_opt_cflags="-O3 -ip"
     2740            coin_opt_cflags="-O3 -ip -mp1"
    27342741            coin_add_cflags=""
    27352742            coin_dbg_cflags="-g"
     
    30883095             fi ;;
    30893096  *-*-solaris*)
    3090              comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3097             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30913098  *-darwin*) comps="g++ c++ CC" ;;
    3092           *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3099          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30933100esac
    30943101
     
    35023509        coin_add_cxxflags="-pipe"
    35033510        coin_dbg_cxxflags="-g"
    3504         coin_warn_cxxflags="-pedantic-errors -Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion"
    3505         case $enable_doscompile in
    3506           mingw)
    3507             CXXFLAGS="-mno-cygwin"
    3508             cat >conftest.$ac_ext <<_ACEOF
     3511        coin_warn_cxxflags="-Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas"
     3512        case $build in
     3513          *-darwin*)
     3514            ;;
     3515          *)
     3516            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
     3517            ;;
     3518        esac
     3519
     3520        case $enable_doscompile in
     3521          mingw)
     3522            CXXFLAGS="-mno-cygwin"
     3523            cat >conftest.$ac_ext <<_ACEOF
    35093524/* confdefs.h.  */
    35103525_ACEOF
     
    35513566rm -f conftest.err conftest.$ac_objext \
    35523567      conftest$ac_exeext conftest.$ac_ext
    3553             CXXFLAGS=
    3554             ;;
    3555         esac
     3568            CXXFLAGS=
     3569          ;;
     3570        esac
    35563571    esac
    35573572  fi
     
    35803595        case "$CXX" in
    35813596          icpc* | */icpc*)
    3582             coin_opt_cxxflags="-O3 -ip"
     3597            coin_opt_cxxflags="-O3 -ip -mp1"
    35833598            coin_add_cxxflags=""
    35843599            coin_dbg_cxxflags="-g"
     
    36433658          xlC* | */xlC* | mpxlC* | */mpxlC*)
    36443659            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3645             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
     3660            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    36463661            coin_dbg_cxxflags="-g"
    36473662            ;;
     
    39223937     fi ;;
    39233938  *-*-solaris*)
    3924      coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    3925   *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3939     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3940  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    39263941 esac
    39273942
     
    40944109
    40954110# Provide some information about the compiler.
    4096 echo "$as_me:4096:" \
     4111echo "$as_me:4111:" \
    40974112     "checking for Fortran 77 compiler version" >&5
    40984113ac_compiler=`set X $ac_compile; echo $2`
     
    43094324        case $F77 in
    43104325          ifort* | */ifort* | IFORT* | */IFORT* )
    4311             coin_opt_fflags='-O3'
    4312             coin_add_fflags='-fpp -nologo -MT'
    4313             coin_dbg_fflags='-debug'
     4326            coin_opt_fflags='-MT -O3'
     4327            coin_add_fflags='-fpp -nologo'
     4328            coin_dbg_fflags='-MTd -debug'
    43144329          ;;
    43154330          compile_f2c*)
     
    63536368*-*-irix6*)
    63546369  # Find out which ABI we are using.
    6355   echo '#line 6355 "configure"' > conftest.$ac_ext
     6370  echo '#line 6370 "configure"' > conftest.$ac_ext
    63566371  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63576372  (eval $ac_compile) 2>&5
     
    83178332   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83188333   -e 's:$: $lt_compiler_flag:'`
    8319    (eval echo "\"\$as_me:8319: $lt_compile\"" >&5)
     8334   (eval echo "\"\$as_me:8334: $lt_compile\"" >&5)
    83208335   (eval "$lt_compile" 2>conftest.err)
    83218336   ac_status=$?
    83228337   cat conftest.err >&5
    8323    echo "$as_me:8323: \$? = $ac_status" >&5
     8338   echo "$as_me:8338: \$? = $ac_status" >&5
    83248339   if (exit $ac_status) && test -s "$ac_outfile"; then
    83258340     # The compiler can only warn and ignore the option if not recognized
     
    85858600   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85868601   -e 's:$: $lt_compiler_flag:'`
    8587    (eval echo "\"\$as_me:8587: $lt_compile\"" >&5)
     8602   (eval echo "\"\$as_me:8602: $lt_compile\"" >&5)
    85888603   (eval "$lt_compile" 2>conftest.err)
    85898604   ac_status=$?
    85908605   cat conftest.err >&5
    8591    echo "$as_me:8591: \$? = $ac_status" >&5
     8606   echo "$as_me:8606: \$? = $ac_status" >&5
    85928607   if (exit $ac_status) && test -s "$ac_outfile"; then
    85938608     # The compiler can only warn and ignore the option if not recognized
     
    86898704   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86908705   -e 's:$: $lt_compiler_flag:'`
    8691    (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
     8706   (eval echo "\"\$as_me:8706: $lt_compile\"" >&5)
    86928707   (eval "$lt_compile" 2>out/conftest.err)
    86938708   ac_status=$?
    86948709   cat out/conftest.err >&5
    8695    echo "$as_me:8695: \$? = $ac_status" >&5
     8710   echo "$as_me:8710: \$? = $ac_status" >&5
    86968711   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86978712   then
     
    1103411049  lt_status=$lt_dlunknown
    1103511050  cat > conftest.$ac_ext <<EOF
    11036 #line 11036 "configure"
     11051#line 11051 "configure"
    1103711052#include "confdefs.h"
    1103811053
     
    1113411149  lt_status=$lt_dlunknown
    1113511150  cat > conftest.$ac_ext <<EOF
    11136 #line 11136 "configure"
     11151#line 11151 "configure"
    1113711152#include "confdefs.h"
    1113811153
     
    1347813493   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347913494   -e 's:$: $lt_compiler_flag:'`
    13480    (eval echo "\"\$as_me:13480: $lt_compile\"" >&5)
     13495   (eval echo "\"\$as_me:13495: $lt_compile\"" >&5)
    1348113496   (eval "$lt_compile" 2>conftest.err)
    1348213497   ac_status=$?
    1348313498   cat conftest.err >&5
    13484    echo "$as_me:13484: \$? = $ac_status" >&5
     13499   echo "$as_me:13499: \$? = $ac_status" >&5
    1348513500   if (exit $ac_status) && test -s "$ac_outfile"; then
    1348613501     # The compiler can only warn and ignore the option if not recognized
     
    1358213597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1358313598   -e 's:$: $lt_compiler_flag:'`
    13584    (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
     13599   (eval echo "\"\$as_me:13599: $lt_compile\"" >&5)
    1358513600   (eval "$lt_compile" 2>out/conftest.err)
    1358613601   ac_status=$?
    1358713602   cat out/conftest.err >&5
    13588    echo "$as_me:13588: \$? = $ac_status" >&5
     13603   echo "$as_me:13603: \$? = $ac_status" >&5
    1358913604   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1359013605   then
     
    1515215167   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1515315168   -e 's:$: $lt_compiler_flag:'`
    15154    (eval echo "\"\$as_me:15154: $lt_compile\"" >&5)
     15169   (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
    1515515170   (eval "$lt_compile" 2>conftest.err)
    1515615171   ac_status=$?
    1515715172   cat conftest.err >&5
    15158    echo "$as_me:15158: \$? = $ac_status" >&5
     15173   echo "$as_me:15173: \$? = $ac_status" >&5
    1515915174   if (exit $ac_status) && test -s "$ac_outfile"; then
    1516015175     # The compiler can only warn and ignore the option if not recognized
     
    1525615271   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1525715272   -e 's:$: $lt_compiler_flag:'`
    15258    (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
     15273   (eval echo "\"\$as_me:15273: $lt_compile\"" >&5)
    1525915274   (eval "$lt_compile" 2>out/conftest.err)
    1526015275   ac_status=$?
    1526115276   cat out/conftest.err >&5
    15262    echo "$as_me:15262: \$? = $ac_status" >&5
     15277   echo "$as_me:15277: \$? = $ac_status" >&5
    1526315278   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1526415279   then
     
    1746317478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1746417479   -e 's:$: $lt_compiler_flag:'`
    17465    (eval echo "\"\$as_me:17465: $lt_compile\"" >&5)
     17480   (eval echo "\"\$as_me:17480: $lt_compile\"" >&5)
    1746617481   (eval "$lt_compile" 2>conftest.err)
    1746717482   ac_status=$?
    1746817483   cat conftest.err >&5
    17469    echo "$as_me:17469: \$? = $ac_status" >&5
     17484   echo "$as_me:17484: \$? = $ac_status" >&5
    1747017485   if (exit $ac_status) && test -s "$ac_outfile"; then
    1747117486     # The compiler can only warn and ignore the option if not recognized
     
    1773117746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1773217747   -e 's:$: $lt_compiler_flag:'`
    17733    (eval echo "\"\$as_me:17733: $lt_compile\"" >&5)
     17748   (eval echo "\"\$as_me:17748: $lt_compile\"" >&5)
    1773417749   (eval "$lt_compile" 2>conftest.err)
    1773517750   ac_status=$?
    1773617751   cat conftest.err >&5
    17737    echo "$as_me:17737: \$? = $ac_status" >&5
     17752   echo "$as_me:17752: \$? = $ac_status" >&5
    1773817753   if (exit $ac_status) && test -s "$ac_outfile"; then
    1773917754     # The compiler can only warn and ignore the option if not recognized
     
    1783517850   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1783617851   -e 's:$: $lt_compiler_flag:'`
    17837    (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
     17852   (eval echo "\"\$as_me:17852: $lt_compile\"" >&5)
    1783817853   (eval "$lt_compile" 2>out/conftest.err)
    1783917854   ac_status=$?
    1784017855   cat out/conftest.err >&5
    17841    echo "$as_me:17841: \$? = $ac_status" >&5
     17856   echo "$as_me:17856: \$? = $ac_status" >&5
    1784217857   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1784317858   then
Note: See TracChangeset for help on using the changeset viewer.